Permalink
Find file
Fetching contributors…
Cannot retrieve contributors at this time
71 lines (65 sloc) 2.49 KB
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = "activerecord-extra-validators"
s.version = "0.1.0"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Bozhidar Batsov"]
s.date = "2011-12-02"
s.description = "Contains all kinds of validators that are missing by default."
s.email = "bozhidar@empowerunited.com"
s.extra_rdoc_files = [
"LICENSE.txt",
"README.rdoc"
]
s.files = [
".document",
"Gemfile",
"LICENSE.txt",
"README.rdoc",
"Rakefile",
"VERSION",
"lib/activerecord-extra-validators.rb",
"lib/validators/boolean_validator.rb",
"lib/validators/email_format_validator.rb",
"lib/validators/name_format_validator.rb",
"lib/validators/url_format_validator.rb",
"spec/spec_helper.rb",
"spec/validators/boolean_validator_spec.rb",
"spec/validators/email_format_validator_spec.rb",
"spec/validators/name_format_validator_spec.rb",
"spec/validators/url_format_validator_spec.rb"
]
s.homepage = "http://github.com/bbatsov/activerecord-extra-validators"
s.licenses = ["MIT"]
s.require_paths = ["lib"]
s.rubygems_version = "1.8.10"
s.summary = "Collection of additional validators for ActiveRecord."
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<client_side_validations>, [">= 0"])
s.add_runtime_dependency(%q<activerecord>, [">= 0"])
s.add_development_dependency(%q<shoulda>, [">= 0"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.6.4"])
s.add_development_dependency(%q<rcov>, [">= 0"])
else
s.add_dependency(%q<client_side_validations>, [">= 0"])
s.add_dependency(%q<activerecord>, [">= 0"])
s.add_dependency(%q<shoulda>, [">= 0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.6.4"])
s.add_dependency(%q<rcov>, [">= 0"])
end
else
s.add_dependency(%q<client_side_validations>, [">= 0"])
s.add_dependency(%q<activerecord>, [">= 0"])
s.add_dependency(%q<shoulda>, [">= 0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.6.4"])
s.add_dependency(%q<rcov>, [">= 0"])
end
end